using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace WindowsApplication2
{
    public partial class SearchMembers : Form
    {
        public SearchMembers()
        {
            InitializeComponent();
        }

        private void Form3_Load(object sender, EventArgs e)
        {
            // TODO: This line of code loads data into the 'dataSet21.remembers' table. You can move, or remove it, as needed.
            this.remembersTableAdapter1.Fill(this.dataSet21.remembers);
            // TODO: This line of code loads data into the 'dataSet11.remembers' table. You can move, or remove it, as needed.
        }

        private void fillByToolStripButton_Click(object sender, EventArgs e)
        {
            try
            {
            }
            catch (System.Exception ex)
            {
                System.Windows.Forms.MessageBox.Show(ex.Message);
            }

        }

        private void familyToolStripTextBox_Click(object sender, EventArgs e)
        {

        }

        private void fillBy1ToolStripButton_Click(object sender, EventArgs e)
        {
            try
            {
            }
            catch (System.Exception ex)
            {
                System.Windows.Forms.MessageBox.Show(ex.Message);
            }

        }

        private void fillBy2ToolStripButton_Click(object sender, EventArgs e)
        {
            try
            {
            }
            catch (System.Exception ex)
            {
                System.Windows.Forms.MessageBox.Show(ex.Message);
            }

        }

        private void fillBy7ToolStripButton_Click(object sender, EventArgs e)
        {
            try
            {
            }
            catch (System.Exception ex)
            {
                System.Windows.Forms.MessageBox.Show(ex.Message);
            }

        }

        private void fillByToolStripButton_Click_1(object sender, EventArgs e)
        {

            try
            {
                this.remembersTableAdapter1.FillBy(this.dataSet21.remembers, ((long)(System.Convert.ChangeType(idToolStripTextBox.Text, typeof(long)))));
                idToolStripTextBox.Text = "";
                nameToolStripTextBox.Text = "";
                familyToolStripTextBox.Text = "";
                familyToolStripTextBox1.Text = "";
            }
            catch (System.Exception ex)
            {
                System.Windows.Forms.MessageBox.Show(ex.Message);
            }

        }

        private void fillBy1ToolStripButton_Click_1(object sender, EventArgs e)
        {
            
            try
            {
                this.remembersTableAdapter1.FillBy1(this.dataSet21.remembers, familyToolStripTextBox.Text);
                idToolStripTextBox.Text = "";
                nameToolStripTextBox.Text = "";
                familyToolStripTextBox.Text = "";
                familyToolStripTextBox1.Text = "";
            }
            catch (System.Exception ex)
            {
                System.Windows.Forms.MessageBox.Show(ex.Message);
            }

        }

        private void fillBy2ToolStripButton_Click_1(object sender, EventArgs e)
        {
            try
            {
                this.remembersTableAdapter1.FillBy2(this.dataSet21.remembers, nameToolStripTextBox.Text, familyToolStripTextBox1.Text);
                idToolStripTextBox.Text = "";
                nameToolStripTextBox.Text = "";
                familyToolStripTextBox.Text = "";
                familyToolStripTextBox1.Text = "";
            }
            catch (System.Exception ex)
            {
                System.Windows.Forms.MessageBox.Show(ex.Message);
            }

        }

        private void dataGridView1_CellContentClick(object sender, DataGridViewCellEventArgs e)
        {

        }

        private void groupBox1_Enter(object sender, EventArgs e)
        {

        }

        private void button1_Click(object sender, EventArgs e)
        {
            this.Close();
        }
    }
}